#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.0
visibility:           public
id:                   taffybar-4.0.0-FWz5Yur9z8xGEspku6I6TN
key:                  taffybar-4.0.0-FWz5Yur9z8xGEspku6I6TN
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  b617759a94d7ec0de0f2b5f85d0d85f8
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.0-FWz5Yur9z8xGEspku6I6TN
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 pango-1.0 harfbuzz atk-1.0
    cairo-gobject cairo gdk_pixbuf-2.0 gio-2.0 gobject-2.0 glib-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0 /usr/include/glib-2.0
    /usr/lib/glib-2.0/include /usr/include/sysprof-4
    /usr/include/harfbuzz /usr/include/freetype2 /usr/include/libpng16
    /usr/include/libmount /usr/include/blkid /usr/include/fribidi
    /usr/include/cairo /usr/include/pixman-1
    /usr/include/gdk-pixbuf-2.0 /usr/include/gio-unix-2.0
    /usr/include/cloudproviders /usr/include/atk-1.0
    /usr/include/at-spi2-atk/2.0 /usr/include/at-spi-2.0
    /usr/include/dbus-1.0 /usr/lib/dbus-1.0/include

depends:
    ConfigFile-1.1.4-E3UINd0YaPDBNOdYgmtN8H
    HStringTemplate-0.8.8-4Epfas9kXoYGc9ncyirCAY
    X11-1.10.3-7zBAfsIL85sJKAyVO3fFRL
    aeson-2.1.2.0-5K5RKT8uSw018NBvKBjhto
    ansi-terminal-0.11.4-4SgCWaXZr2qIqjtLzwrNoa base-4.15.1.0
    broadcast-chan-0.2.1.2-4f1Mq5xfdHPClQCeqG8Qnr bytestring-0.10.12.1
    conduit-1.3.4.3-6maOu1fKc465NKCjE8QE1V containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW
    dbus-1.2.22-HsXBQX8NJ3upo5T5VqB3z
    dbus-hslogger-0.1.0.1-7v7lLOuI4isI3aq106eonQ directory-1.3.6.2
    dyre-0.9.1-B9ZvWqC9u51JI4mAo5zzEH
    either-5.0.2-IS0kjwAclHA2YcBeBE7gfH
    enclosed-exceptions-1.0.3-AcPKTzaHApq5ahYYXvyWXX filepath-1.4.2.1
    gi-cairo-1.0.27-HCqFJR7UDtoEejtXtsyjoJ
    gi-cairo-connector-0.1.1-3Kh034yrt4A8faNy8cZxbK
    gi-cairo-render-0.1.2-310pbSN9Ydi8nogVyuB3mk
    gi-gdk-3.0.25-JUFRTqmwqQL37c3rE61H3t
    gi-gdkpixbuf-2.0.29-DKwzADO4n9hKdblGkKZb24
    gi-gdkx11-3.0.12-E0U294P6nkdGViU4Y3oWqc
    gi-glib-2.0.27-4CBAaXTvo8X3JFNWjnFjsd
    gi-gtk-3.0.38-3MGUhEK9nszEZoBoAPSIRC
    gi-gtk-hs-0.3.13-1v7kBeeXTkj8dluLNJZIPp
    gi-pango-1.0.27-kW48VaUteMFyIpWcZCGrX
    gtk-sni-tray-0.1.8.1-9kxPAQWZ3d74sM5C0B8zvD
    gtk-strut-0.1.3.2-ArALhhhHVtR2Qe2V4U7Ags
    haskell-gi-0.26.4-CAmPKZ4FdnNLsNeq37YVge
    haskell-gi-base-0.26.3-F9RrvzwFZ6b9FvkaVvE8dw
    hslogger-1.3.1.0-BgoxaPYtOEo4WbZ4tpb6hz
    http-client-0.7.13.1-14qTXRl9mzz2ect6VyVQmb
    http-client-tls-0.3.6.1-AGZrq458tUA1mFFbCK8lM1
    http-conduit-2.3.8-1D6eo2v1yj2Lpf87Mu7q4P
    http-types-0.12.3-KtvknBYx9feAUB3XBvpuc1
    multimap-1.2.1-9JxmWLNMcxQ1AJJqmV9wuZ
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh parsec-3.1.14.0
    process-1.6.13.2 rate-limit-1.4.3-85YmVCfT47Z7hrGUe8KO44
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    scotty-0.12.1-3ROrMuTXWKe5ST2l5dUyXP
    split-0.2.3.5-HmCtiKe3req7Lqer8ojx21
    status-notifier-item-0.3.1.0-G2wq2uOjCjf29HRLwo66fp stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    time-units-1.0.0-D1nYXpAWCQ2FSIdA8ibzEx transformers-0.5.6.2
    transformers-base-0.4.6-Bnp6IGmDcvw9lqFAvhTvwf
    tuple-0.3.0.2-IHaNmN0f8uvJiVaH5MsBIw unix-2.7.2.2
    utf8-string-1.0.2-1WaXq3roMNv7udN50rboGI
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT
    xdg-desktop-entry-0.1.1.1-E6evihUnWx49Qz2y9G217W
    xml-1.3.14-6hlhhPBptprHwK7nsE7OzM
    xml-helpers-1.0.0-73lIPKak9z4HTtsjqaltEq
    xmonad-0.17.1-1tEgEuUG7k7Jz4Wve7wks8

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

